MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025459Open CASCADE[OCCT] OCCT:Visualizationpublic2014-11-10 15:322015-05-14 15:33
Reporteranv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025459: Visualization - AIS_ColoredShape::SetMaterial() should not reset custom colors
DescriptionWhen building wireframe presentation for XCAFPrs_AISObject in the case of absence of owner presentation colors fall off. This caused by setting default colors to the object drawer (ShadingAspect) and then using it for all presentations when modifying shading presentation in the SetMaterial method.
TagsNo tags attached.
Test case numberbugs vis(004) bug25459_coloredshape
Attached Files? file icon bug25459.stp (120,880 bytes) 2014-11-12 16:23

- Relationships
related to 0023387closedbugmaster Community Visualization - transparency of specified material is ignored within AIS_Shape::SetMaterial() 
related to 0025511closedbugmaster Open CASCADE Visualization - drop redundant viewer option V3d_View::Transparency() 

-  Notes
(0034196)
git (administrator)
2014-11-10 15:34

Branch CR25459 has been created by anv.

SHA-1: 706ac3a04318b7003bd1f41fd0b5d6eb575ca22a


Detailed log of new commits:

Author: anv
Date: Mon Nov 10 15:34:31 2014 +0300

    0025459: fixed bug with colors fall off for XCAFPrs_AISObject
(0034197)
anv (developer)
2014-11-10 15:40

I've added condition not to set material for wireframe presentation (it seems to be unnecessary even in respect to the common sense). Can you please check, if this changes are viable.
(0034198)
kgv (developer)
2014-11-10 16:09

Please provide test case.
(0034202)
san (developer)
2014-11-10 20:11

AIS_Shape::SetMaterial() seems to override the individual colors for computed groups, but the fastest way to check this in DRAW is to modify vsetmaterial command to process selected objects (not only named objects - because XShow command does not create a named interactive object...ohhh).
(0034366)
git (administrator)
2014-11-12 16:22

Branch CR25459 has been updated forcibly by anv.

SHA-1: 060d507d8ffaae4090f1616929ed1cee44deb5e4
(0034367)
anv (developer)
2014-11-12 16:30

I've slightly modified vsetmaterial command and added a test case for this bug. Object is gray on the resulting image, though it should be colored. File for test is attached.
(0034399)
git (administrator)
2014-11-13 16:30

Branch CR25459 has been updated by anv.

SHA-1: 1db6f1720216911ce0bc27ca55d2216821c862d3


Detailed log of new commits:

Author: anv
Date: Thu Nov 13 16:30:15 2014 +0300

    Copying old colors for computed groups to prevent overriding

(0034400)
anv (developer)
2014-11-13 16:33

I've added copying of the old colors for computed groups to prevent overriding. Please check.
(0034421)
git (administrator)
2014-11-14 12:56

Branch CR25459_1 has been created by kgv.

SHA-1: a308ebdf12f38624c667e36b86cd3d5e1128c8ec


Detailed log of new commits:

Author: kgv
Date: Fri Nov 14 12:55:57 2014 +0300

    0025459: Visualization - AIS_ColoredShape::SetMaterial() should not reset custom colors
(0034422)
kgv (developer)
2014-11-14 12:59

Dear Sergey,

please take a look onto at patch in branch CR25459_1.
(0034434)
san (developer)
2014-11-14 20:03

Branch CR25459_1 reviewed without remarks, ready for testing.
(0034482)
apv (tester)
2014-11-18 15:47

Dear BugMaster,

Branch CR25459_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a308ebdf12f38624c667e36b86cd3d5e1128c8ec

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug25459_coloredshape - OK
http://occt-tests/CR25459-1-master-occt/Debian60-64/bugs/vis/bug25459_coloredshape.html [^]
http://occt-tests/CR25459-1-master-occt/Windows-32-VC10/bugs/vis/bug25459_coloredshape.html [^]

Testing on Linux:
Total MEMORY difference: 358851920 / 358235224
Total CPU difference: 47811.63000000004 / 48053.95

Testing on Windows:
Total MEMORY difference: 272658720 / 272544120
Total CPU difference: 33959.546875 / 36968.953125

There is difference in image found by testdiff:
http://occt-tests/CR25459-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25459-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
v3d materials bug24872_2
(0034520)
kgv (developer)
2014-11-19 19:35

Dear bugmaster,

>> There is difference in image found by testdiff:
>> v3d materials bug24872_2
this is improvement - built-in transparency coefficient of material is no more overridden by AIS_Shape::SetMaterial().

Please switch to tested.
(0034811)
git (administrator)
2014-11-28 13:45

Branch CR25459 has been deleted by inv.

SHA-1: 1db6f1720216911ce0bc27ca55d2216821c862d3
(0034812)
git (administrator)
2014-11-28 13:45

Branch CR25459_1 has been deleted by inv.

SHA-1: a308ebdf12f38624c667e36b86cd3d5e1128c8ec

- Related Changesets
occt: master e0608a8d
Timestamp: 2014-11-14 09:55:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025459: Visualization - AIS_ColoredShape::SetMaterial() should not reset custom colors
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
mod - src/AIS/AIS_Shape.cdl Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cxx Diff ] File ]
add - tests/bugs/vis/bug25459_coloredshape Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-10 15:32 anv New Issue
2014-11-10 15:32 anv Assigned To => anv
2014-11-10 15:34 git Note Added: 0034196
2014-11-10 15:40 anv Note Added: 0034197
2014-11-10 15:40 anv Assigned To anv => kgv
2014-11-10 15:40 anv Status new => resolved
2014-11-10 16:09 kgv Note Added: 0034198
2014-11-10 16:09 kgv Assigned To kgv => anv
2014-11-10 16:09 kgv Status resolved => assigned
2014-11-10 20:11 san Note Added: 0034202
2014-11-11 01:04 abv Target Version 6.8.0 => 7.0.0
2014-11-12 16:22 git Note Added: 0034366
2014-11-12 16:23 anv File Added: bug25459.stp
2014-11-12 16:30 anv Note Added: 0034367
2014-11-13 08:50 kgv Relationship added child of 0025295
2014-11-13 16:30 git Note Added: 0034399
2014-11-13 16:33 anv Note Added: 0034400
2014-11-13 16:33 anv Assigned To anv => kgv
2014-11-13 16:33 anv Status assigned => resolved
2014-11-14 12:55 kgv Summary Colors fall off while building wireframe presentation => Visualization - AIS_ColoredShape::SetMaterial() should not reset custom colors
2014-11-14 12:56 git Note Added: 0034421
2014-11-14 12:59 kgv Note Added: 0034422
2014-11-14 12:59 kgv Assigned To kgv => san
2014-11-14 12:59 kgv Target Version 7.0.0 => 7.1.0
2014-11-14 20:03 san Note Added: 0034434
2014-11-14 20:03 san Assigned To san => bugmaster
2014-11-14 20:03 san Status resolved => reviewed
2014-11-17 10:31 mkv Assigned To bugmaster => mkv
2014-11-17 10:31 mkv Assigned To mkv => anv
2014-11-17 10:31 mkv Assigned To anv => apv
2014-11-18 15:41 apv Test case number => bugs vis(004) bug25459_coloredshape
2014-11-18 15:47 apv Note Added: 0034482
2014-11-18 15:47 apv Assigned To apv => anv
2014-11-18 15:47 apv Status reviewed => assigned
2014-11-19 19:35 kgv Note Added: 0034520
2014-11-19 19:35 kgv Assigned To anv => bugmaster
2014-11-19 19:35 kgv Status assigned => feedback
2014-11-19 19:38 kgv Relationship added related to 0023387
2014-11-21 10:39 bugmaster Status feedback => tested
2014-11-25 10:29 bugmaster Changeset attached => occt master e0608a8d
2014-11-25 10:29 bugmaster Status tested => verified
2014-11-25 10:29 bugmaster Resolution open => fixed
2014-11-27 15:24 bugmaster Project Internal => Open CASCADE
2014-11-27 15:47 kgv Relationship added related to 0025511
2014-11-28 13:45 git Note Added: 0034811
2014-11-28 13:45 git Note Added: 0034812
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:33 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker